<template>
  <button type="button" class="i-switcher" :class="{ 'i-switcher--on': this.isOn }" @click="toggle()">
    <div class="i-switcher__trigger" />
  </button>
</template>

<script>
  export default {
    props: {
      value: Boolean,
      manual: Boolean,
    },

    data() {
      return {
        isOn: this.value,
      };
    },

    methods: {
      toggle() {
        if (this.manual) {
          return;
        }

        this.isOn = !this.isOn;
      },
    },
  };
</script>

<style lang="scss">
  .i-switcher {
    display: flex;
    align-items: center;
    justify-content: flex-start;
    width: rs(40px);
    height: rs(20px);
    background-color: #f7d3bc;
    border-radius: rs(20px);
    border: 0;
    padding: 0;
    cursor: pointer;
    transition: background-color 0.25s;

    &--on {
      background-color: #ffb16a;
    }
  }

  .i-switcher__trigger {
    width: rs(20px);
    height: rs(20px);
    background-color: #d16660;
    border-radius: rs(20px);
    transform: translateX(0);
    transition: transform 0.25s;
  }

  .i-switcher.i-switcher--on .i-switcher__trigger {
    transform: translateX(rs(20px));
  }
</style>
